/var/lib/pcp/testsuite/235 is in pcp-testsuite 3.8.12ubuntu1.
This file is owned by root:root, with mode 0o755.
The actual contents of the file can be viewed below.
1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34 35 36 37 38 39 40 41 42 43 44 45 46 47 48 49 50 51 52 53 54 55 56 57 58 59 60 61 62 63 64 65 66 67 68 69 70 71 72 73 74 75 76 77 78 79 80 81 82 83 84 85 86 87 88 89 90 91 92 93 94 95 96 97 98 99 100 101 102 103 104 105 106 107 108 109 110 111 112 113 114 115 116 117 118 119 120 121 122 123 124 125 126 127 128 129 130 131 132 133 134 135 | #! /bin/sh
# PCP QA Test No. 235
# exercise pmnsmerge error handling, and null operation
#
# Copyright (c) 1995-2002 Silicon Graphics, Inc. All Rights Reserved.
#
seq=`basename $0`
echo "QA output created by $seq"
# get standard filters
. ./common.product
. ./common.filter
. ./common.check
rm -f $seq.out
if [ $PCP_VER -lt 3600 ]
then
ln $seq.out.1 $seq.out || exit 1
else
ln $seq.out.2 $seq.out || exit 1
fi
status=0
trap "cd $here; rm -rf $tmp.*; exit \$status" 0 1 2 3 15
# real QA test starts here
echo "+++ Errors +++"
mkdir $tmp.dir
cd $tmp.dir
echo 'root {
}' >null
echo
echo "=== no args ==="
pmnsmerge
echo
echo "=== only 1 arg ==="
pmnsmerge out-pmns
echo
echo "=== no such input file ==="
pmnsmerge no-such-input out-pmns
touch out-pmns
echo
echo "=== output file exists ==="
pmnsmerge null out-pmns
rm -f out-pmns
chmod u-w .
echo
echo "=== cannot create output file ==="
pmnsmerge null out-pmns
chmod u+w .
echo 'root {
bogus - this is not correct
}' >in
echo
echo "=== syntax error in input ==="
pmnsmerge in out-pmns
rm -f out-pmns
echo 'root {
me 1:2:3
}' >one
echo 'root {
same_pmid 1:2:3
}' >two
echo
echo "=== duplicate PMID in same group =="
pmnsmerge one two out-pmns
rm -f out-pmns
echo 'root {
me 1:2:3
}' >one
echo 'root {
sub
}
sub {
same_pmid 1:2:3
}' >two
echo
echo "=== duplicate PMID in different groups =="
pmnsmerge one two out-pmns
echo
echo "+++ Warnings +++"
rm -f out-pmns
echo 'root {
me 1:2:3
}' >one
echo 'root {
me 4:5:6
}' >two
echo
echo "=== PMID changed =="
pmnsmerge one two out-pmns
echo
echo "+++ Null operations +++"
rm -f out-pmns
pminfo -n null
echo
echo "=== single null input PMNS ==="
pmnsmerge -v null out-pmns
cat out-pmns
pminfo -n out-pmns
rm -f out-pmns
cp null one
cp null two
echo
echo "=== multiple null input PMNSs ==="
pmnsmerge null one two out-pmns
cat out-pmns
pminfo -n out-pmns
rm -f out-pmns
echo '#define _DATESTAMP 19961101
root {
}' >three
echo '#define _DATESTAMP 19961102
root {
}' >four
echo '#define _DATESTAMP 19961205
root {
}' >five
echo
echo "=== 3 have _DATESTAMPS, 3 do not ==="
pmnsmerge -vv null one five four two three out-pmns
cat out-pmns
pminfo -n out-pmns
# all done
exit
|